Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 68251 - xine-lib-1_rc6 doesnt compile under ppc64
Summary: xine-lib-1_rc6 doesnt compile under ppc64
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: PPC64 Linux
: High blocker (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-20 02:23 UTC by Yang Dehua
Modified: 2004-10-20 23:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
error messages (error.txt,14.64 KB, text/plain)
2004-10-20 04:53 UTC, Yang Dehua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yang Dehua 2004-10-20 02:23:38 UTC
I tried to emerge xine-lib-1_rc6 under my 2004.2 ppc64 system but failed with many errors in compiling  file idct_altivec.c in dir libmpeg2. I used gcc 3.4.1 with glibc 2.3.4. The attached file is the error messages.

Reproducible: Always
Steps to Reproduce:
1.emerge xine-lib
2.
3.

Actual Results:  
Failed with compilation errors

Expected Results:  
Emerged successfully
Comment 1 Yang Dehua 2004-10-20 04:53:34 UTC
Created attachment 42246 [details]
error messages
Comment 2 Chris White (RETIRED) gentoo-dev 2004-10-20 06:11:51 UTC
lu_zero:

 Does this look something like the MPlayer altivec issues to you?  The
whole vector thing kinda makes me wonder, since MPlayer and Xine-lib both pull
off somewhat similiar ffmpeg code bases.  Let me know what you think on this.
Comment 3 Luca Barbato gentoo-dev 2004-10-20 08:32:54 UTC
looks like they are _still_ using an ancient version of libmpeg2.
there isn't much to do just apply the same workaround we have for ppc that's all for now (I don't have time to hack my way to the xine custom libmpeg2 in order to fix a long time ago already fixed issue)
Comment 4 Luca Barbato gentoo-dev 2004-10-20 08:49:28 UTC
please check after 30min the same ebuild, it should work correctly now.
Comment 5 Yang Dehua 2004-10-20 17:55:46 UTC
Yes, it compiles. Thank you.
Comment 6 Luca Barbato gentoo-dev 2004-10-20 23:54:20 UTC
Closing then